Package: ruby-activemodel-3.2 / 3.2.6-3

Metadata

Package Version Patches format
ruby-activemodel-3.2 3.2.6-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
remove rubygems requirement.patch | (download)

lib/active_model/secure_password.rb | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 remove rubygems requirement
 Remove the requirement to have the bcrypt library installed via Rubygems. As
 long as it is installed, it should work.
CVE 2013 0276.patch | (download)

lib/active_model/attribute_methods.rb | 2 1 + 1 - 0 !
lib/active_model/mass_assignment_security/permission_set.rb | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 [patch] fix issue with attr_protected where malformed input could
 circumvent protection

Fixes: CVE-2013-0276